# services/crypto/monerod/ingress.yaml
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: monerod
  namespace: crypto
  annotations:
    kubernetes.io/ingress.class: traefik
    traefik.ingress.kubernetes.io/router.entrypoints: websecure
    traefik.ingress.kubernetes.io/router.tls: "true"
    cert-manager.io/cluster-issuer: letsencrypt
spec:
  tls:
    - hosts: [ "monero.bstein.dev" ]
      secretName: monero-bstein-dev-tls
  rules:
    - host: monero.bstein.dev
      http:
        paths:
          - pathType: Prefix
            path: /
            backend:
              service:
                name: monerod
                port: { number: 18081 }
